Bug 1043872 - (CVE-2013-7135) CVE-2013-7135 perl-Proc-Daemon: writes pidfile with mode 666
CVE-2013-7135 perl-Proc-Daemon: writes pidfile with mode 666
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20131215,reported=2...
: Security
Depends On: 1043875 1043876
Blocks:
  Show dependency treegraph
 
Reported: 2013-12-17 06:52 EST by Ratul Gupta
Modified: 2014-12-26 10:18 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-07 13:21:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch for this vulnerability. (905 bytes, patch)
2013-12-17 06:55 EST, Ratul Gupta
no flags Details | Diff
Patch to restore umask after pid file is created (858 bytes, patch)
2014-12-25 21:48 EST, Pavel Denisov
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
CPAN 91450 None None None Never

  None (edit)
Description Ratul Gupta 2013-12-17 06:52:24 EST
It was reported that perl-Proc-Daemon, when instructed to write a pid file, does that with a umask set to 0, so the pid file ends up with mode 666. This might be a security issue.

References:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=732283
Comment 1 Ratul Gupta 2013-12-17 06:53:55 EST
Created perl-Proc-Daemon tracking bugs for this issue:

Affects: fedora-all [bug 1043875]
Affects: epel-all [bug 1043876]
Comment 2 Ratul Gupta 2013-12-17 06:55:09 EST
Created attachment 837641 [details]
Patch for this vulnerability.

This patch was given on the debian page, seems to fix the issue.
Comment 3 Ratul Gupta 2013-12-18 02:23:07 EST
CVE Request:
http://seclists.org/oss-sec/2013/q4/512
Comment 4 Fedora Update System 2013-12-27 21:01:40 EST
perl-Proc-Daemon-0.14-9.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2013-12-27 21:08:27 EST
perl-Proc-Daemon-0.14-9.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-12-27 21:12:43 EST
perl-Proc-Daemon-0.14-9.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2014-01-03 02:41:04 EST
perl-Proc-Daemon-0.14-9.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2014-01-03 02:41:26 EST
perl-Proc-Daemon-0.14-9.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Vincent Danen 2014-01-07 13:21:45 EST
While RHN Satellite ships perl-Proc-Daemon, you need to have local access in order to take advantage of this flaw and a typical Satellite server installation will not permit local or shell access to untrusted users.
Comment 10 Pavel Denisov 2014-12-25 21:48:20 EST
Created attachment 973101 [details]
Patch to restore umask after pid file is created
Comment 11 Pavel Denisov 2014-12-25 21:56:18 EST
While the patch from Debian fixes the security issue, it makes unreadable for other users all other files created by a daemon, what is unwanted in some cases.
Attached patch fixes this problem. It would be great if it could be applied to the package.
Comment 12 Remi Collet 2014-12-26 00:38:17 EST
@pavel, this bug is closed.

Plase consider submitting your patch "upstream" first.
Comment 13 Pavel Denisov 2014-12-26 10:18:12 EST
Remi, I've just submitted my patch to upstream bug tracker. Upstream doesn't seem to be active (no releases in 3+ years), so I don't expect it to be applied anytime soon. Should I open a separate bug here to include the patch to the package?

Note You need to log in before you can comment on or make changes to this bug.